Register merchant triggers at user scope
Register merchant action triggers at the user scope.
User-level triggers apply to all transactions for all cards belonging to the specified user.
Field requirements:
id,merchantName, andactionare always required for each trigger- If location fields (address, city) are NOT provided,
websiteis required
Limit: A maximum of 100 merchantTriggers can be submitted per request at the user scope. Requests exceeding this limit will receive a 400 error.
Important: Triggers are only applied to enrichment responses when the status is succeeded.
To learn more about action triggers, please read the Realtime Action Triggers Guide.
Authorizations
Path Parameters
Your unique identifier for the user
512Body
Request body for registering merchant action triggers.
List of merchant triggers to register for action matching. Each trigger must have a unique id.
Field requirements:
id,merchantName, andactionare always required- If location fields (address, city) are NOT provided,
websiteis required
Limits: User-scope and card-scope registrations are limited to 100 triggers per request. Account-scope and program-scope registrations with more than 100 triggers will be processed asynchronously as a batch job.
1 - 100000 elementsResponse
Registration created successfully
Response containing the status of an action trigger registration.
The current status of the action trigger registration.
pending: Registration received, processing not yet startedrunning: Registration is being processed (for batch registrations with >100 triggers)succeeded: Registration complete, triggers are now activefailed: Registration failed, check your request and retry
pending, running, succeeded, failed "succeeded"
The version number of this registration. Increments with each PUT, PATCH, or DELETE request to this scope.
1
The list of active merchant triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.
The total number of active merchant triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.
50000

